For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet change request configuration
      • PUTUpdate change request configuration
      • POSTCreate or add change to request
      • GETGet all change requests
      • GETGet change request count
      • GETGet scheduled change requests
      • GETGet pending change requests
      • GETGet pending requests for a feature
      • GETGet a change request
      • DELDelete a change request
      • PUTUpdate change request state
      • PUTUpdate change request title
      • PUTEdit a change
      • DELDiscard a change
      • GETGet change request approvers
      • PUTAdd change request reviewers
      • GETGet available reviewers
      • POSTAdd a comment
13.5kProductPricingSign inStart free trialBook a demo
Admin APIChange requests

Update change request state

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/projects/:projectId/change-requests/:id/state
PUT
/api/admin/projects/:projectId/change-requests/:id/state
$curl -X PUT https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/id/state \
> -H "Authorization: <apiKey>"
200Updated
1{
2 "id": 3,
3 "title": "Increasing gradual rollout",
4 "environment": "development",
5 "minApprovals": 2,
6 "project": "unleash-project",
7 "features": [
8 {
9 "name": "my-feature",
10 "conflict": "Feature has been archived",
11 "changes": [
12 {
13 "id": 33,
14 "action": "updateStrategy",
15 "conflict": "Strategy has been deleted",
16 "payload": {},
17 "createdBy": {
18 "username": "string",
19 "imageUrl": "string"
20 },
21 "createdAt": "2023-07-31T13:22:03+02:00",
22 "scheduleConflicts": {
23 "changeRequests": [
24 {
25 "id": 1.1,
26 "title": "string"
27 }
28 ]
29 }
30 }
31 ],
32 "defaultChange": {
33 "action": "addStrategy",
34 "payload": {
35 "name": "flexibleRollout",
36 "title": "",
37 "disabled": false,
38 "segments": [],
39 "parameters": {
40 "groupId": "my-feature",
41 "rollout": "100",
42 "stickiness": "default"
43 },
44 "constraints": [
45 {
46 "values": [
47 "ux"
48 ],
49 "inverted": false,
50 "operator": "STR_CONTAINS",
51 "contextName": "userId",
52 "caseInsensitive": false
53 }
54 ]
55 }
56 }
57 }
58 ],
59 "segments": [
60 {
61 "id": 33,
62 "action": "updateStrategy",
63 "conflict": "Strategy has been deleted",
64 "payload": {},
65 "createdBy": {
66 "username": "string",
67 "imageUrl": "string"
68 },
69 "createdAt": "2023-07-31T13:22:03+02:00",
70 "scheduleConflicts": {
71 "changeRequests": [
72 {
73 "id": 1.1,
74 "title": "string"
75 }
76 ]
77 },
78 "name": "beta-users"
79 }
80 ],
81 "approvals": [
82 {
83 "createdBy": {
84 "id": 33,
85 "username": "unleash-user",
86 "imageUrl": "string"
87 },
88 "createdAt": "2022-12-12T12:13:24.218Z"
89 }
90 ],
91 "rejections": [
92 {
93 "createdBy": {
94 "id": 33,
95 "username": "unleash-user",
96 "imageUrl": "string"
97 },
98 "createdAt": "2022-12-12T12:13:24.218Z"
99 }
100 ],
101 "comments": [
102 {
103 "id": 33,
104 "text": "This is a comment",
105 "createdBy": {
106 "username": "unleash-user",
107 "imageUrl": "string"
108 },
109 "createdAt": "2022-12-12T12:13:24.218Z"
110 }
111 ],
112 "createdBy": {
113 "username": "Hunter",
114 "imageUrl": "string"
115 },
116 "createdAt": "2023-07-31T13:33:02Z",
117 "stateTimestamps": {
118 "Draft": "2023-07-31T13:33:02Z",
119 "In review": "2023-08-01T10:15:30Z",
120 "Approved": "2023-08-02T09:01:00Z"
121 },
122 "state": "Draft"
123}
**Enterprise feature** This endpoint will update the state of a change request if the business rules allow it. The state can be one of the following: Draft, In review, Approved, Cancelled, Applied. In order to be approved, the change request must have at least one change and the number of approvals must be greater than or equal to the number of approvals required for the environment. Once a change request has been approved, it can be applied. Once a change request has been applied, it cannot be changed. Once a change request has been cancelled, it cannot be changed. Any change to a change request in the state of Approved will result in the state being set to In Review and the number of approvals will be reset.
Was this page helpful?
Previous

Update change request title

Next
Built with

Enterprise feature

This endpoint will update the state of a change request if the business rules allow it. The state can be one of the following: Draft, In review, Approved, Cancelled, Applied. In order to be approved, the change request must have at least one change and the number of approvals must be greater than or equal to the number of approvals required for the environment.

Once a change request has been approved, it can be applied. Once a change request has been applied, it cannot be changed. Once a change request has been cancelled, it cannot be changed. Any change to a change request in the state of Approved will result in the state being set to In Review and the number of approvals will be reset.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
idstringRequired

Response

changeRequestSchema
object
OR
object